%define		module	pyweblib
Summary:	Yet another web programming framework for Python
Summary(pl.UTF-8):	Jeszcze jedno środowisko do programowania WWW dla Pythona
Name:		python-%{module}
Version:	1.3.3
Release:	6
License:	GPL
Source0:	http://www.stroeder.com/pylib/PyWebLib/download/%{module}-%{version}.tar.gz
# Source0-md5:	755b6d474ea584194afb9c4474df0b2a
URL:		http://www.stroeder.com/pylib/PyWebLib/
BuildRequires:	rpmbuild(macros) >= 1.710
Group:		Development/Languages/Python
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 2.0
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Web application library:
pyweblib.forms		class library for handling <FORM> input
pyweblib.session	server-side web session handling
pyweblib.helper		misc. stuff useful in CGI-BINs
pyweblib.sslenv		retrieves SSL-related env vars
pyweblib.httphelper	very basic HTTP functions

%description -l pl.UTF-8
Biblioteka aplikacji WWW:
pyweblib.forms		biblioteka klas do obsługi wejścia <FORM>
pyweblib.session	obsługa sesji po stronie serwera WWW
pyweblib.helper		różne narzędzia przydatne w cgi-bin
pyweblib.sslenv		odczytywanie zmiennych związanych z SSL
pyweblib.httphelper	podstawowe funkcje HTTP

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install
%py_postclean

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}
install cgi-bin/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES* htdocs/*
%{py_sitescriptdir}/*
%{_examplesdir}/*
%changelog
* Sat May 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyweblib.git;a=log;h=master

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> a7e7077
- use rpm python macros
- rel 6

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 317c4ec
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4a0f404
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6fd0db9
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a31f1cf
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e91d05a
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a41bcc3
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b70af1b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fc61ab6
- converted to UTF-8

* Sun Dec 26 2004 saq <saq@pld-linux.org> d573fcf
- release 2 for rebuild with python 2.4

* Sat Dec 18 2004 darekr <darekr@pld-linux.org> e8225ae
- updated to 1.3.3

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 0c36c73
- spaces->tabs
- formatting

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 1ef0107
- removed %%include /usr/lib/rpm/macros.python

* Fri Feb 27 2004 pius <pius@pld-linux.org> 1d70ae4
- updated to 1.3.1

* Mon Jan 19 2004 Jacek Konieczny <jajcus@pld-linux.org> de301c7
- Release: 2
- new architecture-independent python modules paths

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 9895d15
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 937c835
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9055a20
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Jan 17 2003 Jacek Konieczny <jajcus@pld-linux.org> bfed87a
- Version: 1.2.1
- %%files and %%install rewrited, so no generated filelist is used and rpm
  doesn't complain about not-packaged files

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> f0f1e7e
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

